<?php
/* @var $modelFiles common\models\ThemeFiles */
/* @var $categoryFiles array */
?>
<?php
use yii\helpers\Html;
use yii\bootstrap\Modal;

?>

<div class="customer-form">

    <div class="col-md-6">
        <div class="panel panel-default">
            <table class="table">
                <tr>
                    <th>File Name</th>
                    <th>Options</th>
                </tr>

                <?php foreach ($categoryFiles as $value) { ?>

                    <tr>
                        <td><?= $value['name'] ?></td>

                        <?php
                        $themeCode = $model->code;
                        $fileCode = $value['code'];
                        $modelFiles[0]->theme_code = $themeCode;
                        $modelFiles[0]->file_code = $fileCode;
                        if ($modelFiles[0]::isFileExist($themeCode, $fileCode)) {
                            $fileModel = $modelFiles[0]::findOne([
                                'theme_code' => $themeCode,
                                'file_code' => $fileCode
                            ]);
                            ?>

                            <td>

                                <?= Html::a(' Edit ', ['theme-file/editor', 'id' => $fileModel->id], [
                                    'class' => 'btn btn-primary fa fa-edit',
                                ]) ?>

                            </td>

                        <?php } else { ?>

                            <td>

                                <?= Html::button('Upload File', [
                                    'class' => 'btn btn-primary',
                                    'id' => 'modalButton' . $value['id'],
                                    'onclick' => 'uploadJquery.upload(' . $value['id'] . ');'
                                ]) ?>
                                <?php
                                Modal::begin([
                                    'header' => '',
                                    'id' => 'modal' . $value['id'],
                                    'size' => 'modal-sm',
                                    //keeps from closing modal with esc key or by clicking out of the modal.
                                    // user must click cancel or X to close
                                ]);
                                ?>


                                <div id='modalContent'<?= $value['id'] ?> style="text-align: center">

                                    <?= $this->render('upload', ['model' => $modelFiles[0],]) ?>

                                </div>

                                <?php yii\bootstrap\Modal::end(); ?>

                            </td>


                        <?php } ?>

                    </tr>

                <?php } ?>

            </table>

        </div>
    </div>


</div>
