<?php
/* @var $this yii\web\View */
/* @var $categoryModel common\models\Category */
/* @var $models common\models\CategoryFiles[] */

$this->title = Yii::t('admin', 'Create Category File');

$this->params['breadcrumbs'][] = ['label' => Yii::t('backend', 'Categories'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

$this->params['categoryId'] = $categoryModel->id;

?>

<div class="category-create">

    <?= $this->render('..\file\_form', [
        'categoryModel' => $categoryModel,
        'models' => $models,
    ]) ?>

</div>
